- Main Page
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

# FbxConnectionPointFilter Class Reference

This reference page is linked to from the following overview topics: List of Python Fbx classes.

Search for all occurrences

## Detailed Description

Class to manage ConnectFilter.

Definition at line 296 of file fbxconnectionpoint.h.

`#include <fbxconnectionpoint.h>`

Inheritance diagram for FbxConnectionPointFilter:
[legend]

List of all members.

## Constructor and Destructor
| FbxConnectionPointFilter ()
| Constructor.
virtual | ~FbxConnectionPointFilter ()
| Destructor.
## ConnectFilter management
virtual FbxConnectionPointFilter * | Ref ()
| Return reference ConnectionPoint filter.
virtual void | Unref ()
| Cancel reference.
virtual FbxInt | GetUniqueId () const
| Get unique filter ID.
virtual bool | IsValid (FbxConnectionPoint *pConnect) const
| Judge if the given Connection Point is valid.
virtual bool | IsValidConnection (FbxConnectionPoint *pConnect, FbxConnection::EType pType) const
| Judge if the given Connection Point is a valid connection.
virtual bool | IsEqual (FbxConnectionPointFilter *pConnectFilter) const
| Judge if it is equal with the given ConnectionPoint filter.

## Constructor & Destructor Documentation

FbxConnectionPointFilter | ( |  | ) | `[inline]`

Constructor.

Definition at line 304 of file fbxconnectionpoint.h.

    {}

virtual ~FbxConnectionPointFilter | ( |  | ) | `[virtual]`

Destructor.

## Member Function Documentation

virtual FbxConnectionPointFilter* Ref | ( |  | ) | `[virtual]`

Search for all occurrences

Return reference ConnectionPoint filter.

virtual void Unref | ( |  | ) | `[virtual]`

Search for all occurrences

Cancel reference.

virtual FbxInt GetUniqueId | ( |  | ) | const `[inline, virtual]`

Search for all occurrences

Get unique filter ID.

Definition at line 321 of file fbxconnectionpoint.h.

    { return 0; }

virtual bool IsValid | ( | FbxConnectionPoint * | pConnect | ) | const `[virtual]`

Search for all occurrences

Judge if the given Connection Point is valid.

Parameters:

  pConnect | The given Connection Point.

Returns:
  `True` if valid, `false` if not valid.

virtual bool IsValidConnection | ( | FbxConnectionPoint * | pConnect,
|  | FbxConnection::EType | pType
| ) |  | const `[virtual]`

Search for all occurrences

Judge if the given Connection Point is a valid connection.

Parameters:

  pConnect | The given Connection Point.
  pType | Connection type.

Returns:
  `True` if valid, `false` if not valid.

virtual bool IsEqual | ( | FbxConnectionPointFilter * | pConnectFilter | ) | const `[virtual]`

Search for all occurrences

Judge if it is equal with the given ConnectionPoint filter.

Parameters:

  pConnectFilter | The given ConnectionPoint filter.

Returns:
  `True` if equal, `false` if unequal.

The documentation for this class was generated from the following file:

- fbxsdk/core/fbxconnectionpoint.h

FbxConnectionPointFilter FbxConnectionPointFilter FbxConnectionPointFilter FbxConnectionPointFilter FbxConnectionPointFilter FbxConnectionPointFilter FbxConnectionPointFilter FbxConnectionPointFilter FbxConnectionPointFilter FbxConnectionPointFilter
FbxConnectionPointFilter FbxConnectionPointFilter FbxConnectionPointFilter FbxConnectionPointFilter FbxConnectionPointFilter FbxConnectionPointFilter FbxConnectionPointFilter FbxConnectionPointFilter FbxConnectionPointFilter FbxConnectionPointFilter